%define texmf		%{_datadir}/texmf
%define build_texmf	$RPM_BUILD_ROOT%{texmf}
%define exec_texhash	[ -x %{_bindir}/texhash ] && %{_bindir}/env - %{_bindir}/texhash 2> /dev/null

Summary: dvipdfm is a DVI (TeX) to PDF translator
Summary(ja): DVI  PDF Ѵ
Name: dvipdfm
Version: 0.13.2c
Release: 8.1AX
Source0: http://gaspra.kettering.edu/dvipdfm/%{name}-%{version}.tar.gz
# for Japanese
Source10: http://hamilcar.phys.kyushu-u.ac.jp/~hirata/archive/dvipdfm.zip
URL: http://gaspra.kettering.edu/dvipdfm/
Copyright: GPL
Patch20: http://www.nn.iij4u.or.jp/~tutimura/tex/vine2x/dvipdfm-0.13.2b-nokpathsea.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
Group: Applications/Publishing
BuildRequires: tetex, unzip
PreReq: sh-utils
Requires: tetex

%description
dvidpfm is a DVI to PDF translator for use with TeX.

%description -l ja
dvidpfm  DVI  PDF ؤѴԤޤ
ʿĤܸ첽ѥå򤢤ƤƤޤ
http://hamilcar.phys.kyushu-u.ac.jp/~hirata/dvipdfm/

Linux  AcrobatReader4.05 Ǥϲɽޤ
ܸΤᤳळȤǤޤ
TeX Ƭ

\usepackage[dvipdfm]{color}
\usepackage[dvipdfm,bookmarks=true,bookmarksnumbered=true,%
bookmarkstype=toc]{hyperref}

ʤɤȽ񤤤Ƥơ

% platex foo
% platex foo
% out2uni foo
% platex foo
% dvipdfm foo

ȥѥ뤷ޤ
ޥɤ߹˥顼ФȤϡޥ
ftp://ftp.ring.gr.jp/pub/text/CTAN/macros/latex/contrib/
supported/hyperref/
ʤɤꤷƺؤƤ


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}
cp -a latex-support latex-sample
rm -f latex-sample/{Makefile,dvipdfm.def}
%patch20 -p1 -b .nokpath
# for Japanese
unzip -q %{SOURCE10}
/bin/gzip -dc dvipdfm/distfiles/dvipdfm-0.13.2c-jpatch-p1c.diff.gz | patch -p1 -s
mkdir dvipdfm-jpatch
mv dvipdfm/*.html dvipdfm-jpatch/
mv dvipdfm/distfiles/{ChangeLog.jis,INSTALL.jis,README} dvipdfm-jpatch/
mv dvipdfm/contrib/README-out2uni.jis dvipdfm-jpatch/
mv dvipdfm/example dvipdfm-jpatch/
mv dvipdfm/contrib/out2uni.c ./
mv dvipdfm/extra/efont.map ./
#patch -p1 -s < dvipdfm/extra/patch-concat-stream.diff
#patch -p1 -s < dvipdfm/extra/patch-pass-numbersign.diff
rm -rf dvipdfm

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --datadir=%{_datadir} --mandir=%{_mandir}
make
(cd doc; tex dvipdfm.tex; rm -f dvipdfm.log)
# for Japanese
make CFLAGS="$RPM_OPT_FLAGS -DEUC" out2uni

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} texmf=%{build_texmf} mandir=$RPM_BUILD_ROOT%{_mandir} INSTALL="%{_bindir}/install -c -s" install
mkdir -p %{build_texmf}/tex/latex/dvipdfm
cp -a latex-support/dvipdfm.def %{build_texmf}/tex/latex/dvipdfm/
# for Japanese
install -s out2uni $RPM_BUILD_ROOT%{_bindir}
cp -a efont.map %{build_texmf}/dvipdfm/config/
cat <<EOF>> %{build_texmf}/dvipdfm/config/config
% efont-serif (http://openlab.ring.gr.jp/efont/)
f efont.map

EOF

%post
%{exec_texhash}
exit 0

%postun
%{exec_texhash}
exit 0


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/dvipdfm
%{_bindir}/dvipdft
%{_bindir}/ebb
%{_bindir}/out2uni
%{_mandir}/man1/dvipdfm.*
%dir %{texmf}/dvipdfm
%dir %{texmf}/dvipdfm/config
%config %{texmf}/dvipdfm/config/*
%{texmf}/dvipdfm/base
%{texmf}/tex/latex/dvipdfm
%doc AUTHORS COPYING ChangeLog Credits INSTALL* NEWS OBTAINING README* TODO
%doc doc/ latex-sample/ dvipdfm-jpatch/

%changelog
* Tue Jun  1 2004 Shiro Yamada <shiro@miraclelinux.com> 0.13.2c-8.1AX
- rebuild for Asianux 1.0

* Mon Oct  8 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2c-8
- rebuild against dvipdfm.zip (2001-10-06)

* Fri Oct  5 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2c-7
- rebuild against dvipdfm.zip (2001-10-03)

* Wed Sep 19 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2c-6
- rebuild against dvipdfm.zip (2001-09-14)
- backport from VineSeedPlus (Thanks to MACHINO san)

* Fri Sep  7 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2c-5
- rebuild against dvipdfm.zip (2001-09-01)

* Fri Jul 27 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2c-4
- vertical writing support (dvipdfm-jpatch-p1pre)

* Thu Jul 26 2001 OZAWA -Crouton- Sakuro <crouton@weatherlight.org>
- 0.13.2c-3wl0
- Fixed man path.

* Fri Jul 13 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2c-3
- rebuild against dvipdfm.zip (2001-07-10)

* Sat Jul  7 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2c-2
- use dvipdfm.zip instead of *.diff

* Sat Jun 30 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2c-1
- update 0.13.2c, apply jpatch-p0d patch

* Wed Jun 27 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-5
- apply bgcolor, colorname, gcc30 patch.

* Thu Jun 21 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-4
- apply jpatch-p0c patch.

* Fri Jun 15 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-3
- add out2uni
- apply printf and pagesize patch.

* Tue Jun 12 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-2
- apply patch-psspecial.c and jpatch-p0b.
